commit:     df2460aa832676540ed57acf37794250809c77c8
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Sun Nov 27 10:58:44 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Nov 27 12:23:26 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df2460aa

dev-libs/libmoe: EAPI 6, build with GCC-5

Gentoo-bug: 570144

Package-Manager: portage-2.3.0
Closes: https://github.com/gentoo/gentoo/pull/2931

 dev-libs/libmoe/files/libmoe-1.5.8-gcc5.patch | 61 +++++++++++++++++++++++++++
 dev-libs/libmoe/libmoe-1.5.8-r3.ebuild        | 40 ++++++++++++++++++
 2 files changed, 101 insertions(+)

diff --git a/dev-libs/libmoe/files/libmoe-1.5.8-gcc5.patch 
b/dev-libs/libmoe/files/libmoe-1.5.8-gcc5.patch
new file mode 100644
index 00000000..a990a37
--- /dev/null
+++ b/dev-libs/libmoe/files/libmoe-1.5.8-gcc5.patch
@@ -0,0 +1,61 @@
+diff -urN b/iso2mb.c c/iso2mb.c
+--- b/iso2mb.c 2015-07-06 21:38:49.129658661 +0000
++++ c/iso2mb.c 2015-07-07 18:50:17.211540572 +0000
+@@ -513,11 +513,11 @@
+   return wc;
+ }
+ 
+-mb_wchar_t
++__attribute__ ((gnu_inline)) __inline__ mb_wchar_t
+ mb_encode_to_wchar(mb_info_t *info)
+ MB_ENCODE_TO_WCHAR
+ 
+-mb_wchar_t
++__attribute__ ((gnu_inline)) __inline__ mb_wchar_t
+ mb_fetch_wchar(mb_info_t *info)
+ MB_FETCH_WCHAR
+ 
+diff -urN b/mb2iso.c c/mb2iso.c
+--- b/mb2iso.c 2015-07-06 21:38:49.133658683 +0000
++++ c/mb2iso.c 2015-07-07 19:07:47.583244156 +0000
+@@ -900,7 +900,7 @@
+   return n;
+ }
+ 
+-size_t
++__attribute__ ((gnu_inline)) __inline__ size_t
+ mb_store_wchar(mb_wchar_t enc, mb_info_t *info)
+ MB_STORE_WCHAR
+ 
+diff -urN b/mb.h c/mb.h
+--- b/mb.h     2015-07-06 21:38:49.133658683 +0000
++++ c/mb.h     2015-07-07 18:50:17.211540572 +0000
+@@ -434,7 +434,7 @@
+ }
+ 
+ #ifdef __GNUC__
+-extern __inline__ mb_wchar_t mb_encode_to_wchar(mb_info_t *info) 
MB_ENCODE_TO_WCHAR
++extern __attribute__ ((gnu_inline))  __inline__ mb_wchar_t 
mb_encode_to_wchar(mb_info_t *info);
+ #else
+ extern mb_wchar_t mb_encode_to_wchar(mb_info_t *info);
+ #endif
+@@ -449,7 +449,7 @@
+ }
+ 
+ #ifdef __GNUC__
+-extern __inline__ mb_wchar_t mb_fetch_wchar(mb_info_t *info) MB_FETCH_WCHAR
++extern __attribute__ ((gnu_inline))  __inline__ mb_wchar_t 
mb_fetch_wchar(mb_info_t *info);
+ #else
+ extern mb_wchar_t mb_fetch_wchar(mb_info_t *info);
+ #endif
+@@ -552,7 +552,7 @@
+ }
+ 
+ #ifdef __GNUC__
+-extern __inline__ size_t mb_store_wchar(mb_wchar_t enc, mb_info_t *info) 
MB_STORE_WCHAR
++extern __attribute__ ((gnu_inline)) __inline__ size_t 
mb_store_wchar(mb_wchar_t enc, mb_info_t *info);
+ #else
+ extern size_t mb_store_wchar(mb_wchar_t enc, mb_info_t *info);
+ #endif
+
+ 

diff --git a/dev-libs/libmoe/libmoe-1.5.8-r3.ebuild 
b/dev-libs/libmoe/libmoe-1.5.8-r3.ebuild
new file mode 100644
index 00000000..061edf9
--- /dev/null
+++ b/dev-libs/libmoe/libmoe-1.5.8-r3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Multi octet character encoding handling library"
+HOMEPAGE="http://pub.ks-and-ks.ne.jp/prog/libmoe/";
+SRC_URI="http://pub.ks-and-ks.ne.jp/prog/pub/${P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-lang/perl"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( libmoe.shtml )
+PATCHES=(
+       "${FILESDIR}/${P}-gentoo.patch"
+       "${FILESDIR}/${P}-makefile.patch"
+       "${FILESDIR}/${P}-gcc5.patch"   # taken from Debian
+)
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e "/^PREFIX=/s:=.*:=${EPREFIX}/usr:" \
+               -e "/^LIBSODIR=/s:=.*:=\$\{PREFIX}/$(get_libdir):" \
+               -e "/^MANDIR=/s:=.*:=\$\{PREFIX}/share/man:" \
+               -e "/^CF=/s:=:=${CFLAGS} :" \
+               -e "/^LF=/s:=:=${LDFLAGS} :" \
+               -e "s:=gcc:=$(tc-getCC):" \
+               -e "/^AR=/s:=ar:=$(tc-getAR):" \
+               Makefile || die
+}

Reply via email to